Bug 488832 - FEAT: support multiple needinfo?
FEAT: support multiple needinfo?
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs (Show other bugs)
devel
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
http://bugzilla.redhat.com
: FutureFeature
Depends On:
Blocks: 488838
  Show dependency treegraph
 
Reported: 2009-03-05 16:24 EST by Rob Landry
Modified: 2013-06-24 00:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-08 11:25:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add multi needinfo support to the bug edit UI (v1) (2.65 KB, patch)
2009-07-06 14:12 EDT, David Lawrence
nelhawar: review+
Details | Diff

  None (edit)
Description Rob Landry 2009-03-05 16:24:58 EST
Description of problem:

Could bz be changed to support multiple needinfo flags?  I know the flag infrastructure can handle it but this is to request the special case needinfo flag could be enabled to be multiple, where a comment or a series of comments could be entered to request information from multiple people instead of forcing it single?
Comment 1 David Lawrence 2009-03-09 10:32:41 EDT
Will need to investigate what is needed to implement this as other code in Bugzilla currently relies on there only being one needinfo flag at a time.
Comment 2 David Lawrence 2009-07-06 14:12:11 EDT
Created attachment 350657 [details]
Patch to add multi needinfo support to the bug edit UI (v1)

Hey Noura. Please review this patch for adding multi needinfo support to the bug edit form when you get time. Basically on the admin side, all that was needed to be done was turning on multiplicable support in the flags UI for the needinfo flag. Then in the needinfo.html.tmpl template I made some template changes to allow adding additional needinfo flags even if one is already set.

The code in process_bug.cgi and other places didnt need any changes for this to work.

Let me know what you think.
Dave
Comment 3 Noura El hawary 2009-07-07 10:28:10 EDT
Comment on attachment 350657 [details]
Patch to add multi needinfo support to the bug edit UI (v1)

Hey Dave,

Patch looks good to me and works perfect with my testing. Just one thing i noticed and that is actually related to having multiplicable flags and it is not related to your patch it is in the actual upstream code, is that we can create similar flags with same status and same requestee as much as we want in the bug report so  if the flag 'testFlag' is marked as multiplicable then we can have in the bug report 10 flags that are all for example 
 
testFlag ? test@test.com

I think this is an upstream bug will report it to upstream and see what they say.

Noura
Comment 4 David Lawrence 2009-07-08 11:25:04 EDT
Thanks Noura. Please do consult upstream and let us know what they say.

This is being committed and will be in the next release.

Dave

Note You need to log in before you can comment on or make changes to this bug.